Package helma.scripting.rhino.extensions

# Class ImageObject

java.lang.Object
helma.scripting.rhino.extensions.ImageObject

public class ImageObject extends Object
Extension to provide Helma with Image processing features.

## Constructor Summary

Constructors
Constructor
Description
`ImageObject()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`imageCtor(org.mozilla.javascript.Context cx, Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr)`
`static void`
`init(org.mozilla.javascript.Scriptable scope)`
Called by the evaluator after the extension is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageObject

public ImageObject()

## Method Details

### init

public static void init(org.mozilla.javascript.Scriptable scope)
Called by the evaluator after the extension is loaded.

### imageCtor

public static Object imageCtor(org.mozilla.javascript.Context cx, Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr)